Page MenuHomeFreeBSD

[new port]: games/colobot: educational real-time strategy video game featuring 3D graphics
ClosedPublic

Authored by fernape on Mar 6 2019, 6:13 PM.

Details

Summary

Add a new port requested in WantedPorts

From pkg-plist:

Colobot is an educational real-time strategy video game featuring 3D graphics.
The objective of the game is to find a planet for colonization by the human race
by establishing a basic infrastructure on the surface and eliminating any alien
life forms endangering the expedition

You can program your units (bots) in a language called CBOT, which is
similar to C++ and Java. Your mission is to find a new planet to live and
survive. You can save the humanity and get programming skills!

I have some doubs about how I'm handling the different distributions (main
github repo, submodule and separate music files from another server).

Test Plan

Builds fine in {11.2,12.0}{amd64,i386} and in 13-CURRENT
It runs fine in 12.0 amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Mar 6 2019, 6:13 PM
fernape updated this revision to Diff 54776.Mar 6 2019, 6:18 PM

Add actual port to review.

linimon retitled this revision from [new port]: games/colobot to [new port]: games/colobot: educational real-time strategy video game featuring 3D graphics.Mar 6 2019, 6:29 PM
tcberner added inline comments.Mar 6 2019, 6:31 PM
games/colobot/Makefile
34 ↗(On Diff #54776)

^ you should be able to easily patch src/CMakeLists.txt on line 100 to also apply to FreeBSD

37 ↗(On Diff #54776)

^ this should come from cmake.mk already -- if you leave it off, you'll also get debug builds when setting WITH_DEBUG.

fernape updated this revision to Diff 54808.Mar 7 2019, 5:02 PM
  • Remove CMAKE_ARGS since they are the default
  • Remove LDFLAGS and modify src/CMakeLists.txt instead
  • Update pkg-plist to match actual installation paths
fernape marked 2 inline comments as done.Mar 7 2019, 5:10 PM

If there are no other objections, I'll go ahead and commit this one.

tcberner accepted this revision.Mar 9 2019, 5:44 PM

Yea, looks good to me.

This revision is now accepted and ready to land.Mar 9 2019, 5:44 PM

Yea, looks good to me.

Thanks!

This revision was automatically updated to reflect the committed changes.
mat added inline comments.Mar 12 2019, 8:14 PM
head/games/colobot/Makefile
8–9

This should probably not be in the :DEFAULT group, but in a different group, say, :music or something, so that the framework does not try to fetch that one from github and the github one from here:

$  make fetch-urlall-list
http://distcache.FreeBSD.org/ports-distfiles/colobot-music_ogg_0.1.12-alpha.tar.gz
https://colobot.info/files/music/colobot-music_ogg_0.1.12-alpha.tar.gz
https://codeload.github.com/colobot/colobot/tar.gz/colobot-gold-0.1.12-alpha?dummy=/colobot-music_ogg_0.1.12-alpha.tar.gz
http://distcache.FreeBSD.org/ports-distfiles/colobot-colobot-colobot-gold-0.1.12-alpha_GH0.tar.gz
https://colobot.info/files/music/colobot-colobot-colobot-gold-0.1.12-alpha_GH0.tar.gz
https://codeload.github.com/colobot/colobot/tar.gz/colobot-gold-0.1.12-alpha?dummy=/colobot-colobot-colobot-gold-0.1.12-alpha_GH0.tar.gz
http://distcache.FreeBSD.org/ports-distfiles/colobot-colobot-data-c467bd9_GH0.tar.gz
https://codeload.github.com/colobot/colobot-data/tar.gz/c467bd9?dummy=/colobot-colobot-data-c467bd9_GH0.tar.gz